Package org.eclipse.emf.cdo.common.util

# Class EObjectCrawler.ModelScope

java.lang.Object
org.eclipse.emf.cdo.common.util.EObjectCrawler.ModelScope

Enclosing class:
  `EObjectCrawler`

public static final class EObjectCrawler.ModelScope extends Object
A model scope for registering EObjects and creating an `EObjectCrawler` for them.

Example usage:

     ModelScope scope = new ModelScope();
     scope.registerObject(rootEObject, true);

     EObjectCrawler crawler = scope.createCrawler();

The example above registers the `rootEObject` and all its contents in a model scope, and then creates an `EObjectCrawler` for the scope.

Note that once the `crawler` has been created, the model scope is frozen and no further objects can be registered.

The model scope can be used to create multiple `crawlers`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ModelScope()`

## Method Summary

Modifier and Type
Method
Description
`EObjectCrawler`
`createCrawler()`
`EObjectCrawler`
`createCrawler(CDORevisionFactory revisionFactory)`
`EObjectCrawler.ModelScope`
`registerObject(EObject object)`
`EObjectCrawler.ModelScope`
`registerObject(EObject object, boolean recursive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelScope

public ModelScope()

## Method Details

### registerObject

public EObjectCrawler.ModelScope registerObject(EObject object)

### registerObject

public EObjectCrawler.ModelScope registerObject(EObject object, boolean recursive)

### createCrawler

public EObjectCrawler createCrawler()

### createCrawler

public EObjectCrawler createCrawler(CDORevisionFactory revisionFactory)